

fs/jfs/jfs_dmap.c: In function `dbAllocNear':
fs/jfs/jfs_dmap.c:1343: parse error before `*'
fs/jfs/jfs_dmap.c:1357: `leaf' undeclared (first use in this function)
fs/jfs/jfs_dmap.c:1357: (Each undeclared identifier is reported only once
fs/jfs/jfs_dmap.c:1357: for each function it appears in.)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/jfs/jfs_dmap.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/jfs/jfs_dmap.c~jfs_dmap-build-fix fs/jfs/jfs_dmap.c
--- 25/fs/jfs/jfs_dmap.c~jfs_dmap-build-fix	Thu Jul  8 17:18:24 2004
+++ 25-akpm/fs/jfs/jfs_dmap.c	Thu Jul  8 17:18:24 2004
@@ -1333,6 +1333,7 @@ dbAllocNear(struct bmap * bmp,
 	    struct dmap * dp, s64 blkno, int nblocks, int l2nb, s64 * results)
 {
 	int word, lword, rc;
+	s8 *leaf;
 
 	if (dp->tree.leafidx != cpu_to_le32(LEAFIND)) {
 		jfs_error(bmp->db_ipbmap->i_sb,
@@ -1340,7 +1341,7 @@ dbAllocNear(struct bmap * bmp,
 		return -EIO;
 	}
 
-	s8 *leaf = dp->tree.stree + le32_to_cpu(dp->tree.leafidx);
+	leaf = dp->tree.stree + le32_to_cpu(dp->tree.leafidx);
 
 	/* determine the word within the dmap that holds the hint
 	 * (i.e. blkno).  also, determine the last word in the dmap
_
